org.apache.ignite.internal.processors.cache.mvcc

## Class VacuumMetrics

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.mvcc.VacuumMetrics

    public class VacuumMetrics
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`VacuumMetrics()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCleanupNanoTime(long delta)`
`void` `addCleanupRowsCnt(long delta)`
`void` `addScannedRowsCount(long delta)`
`void` `addSearchNanoTime(long delta)`
`long` `cleanupNanoTime()`
`long` `cleanupRowsCount()`
`long` `scannedRowsCount()`
`long` `searchNanoTime()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VacuumMetrics

    public VacuumMetrics()

### Method Detail

#### cleanupRowsCount

    public long cleanupRowsCount()

Returns:
  Cleanup rows count.

#### scannedRowsCount

    public long scannedRowsCount()

Returns:
  Scanned rows count.

#### searchNanoTime

    public long searchNanoTime()

Returns:
  Search nano time.

#### cleanupNanoTime

    public long cleanupNanoTime()

Returns:
  Cleanup nano time

#### addCleanupRowsCnt

    public void addCleanupRowsCnt(long delta)

Parameters:
  `delta` - Delta.

#### addScannedRowsCount

    public void addScannedRowsCount(long delta)

Parameters:
  `delta` - Delta.

#### addSearchNanoTime

    public void addSearchNanoTime(long delta)

Parameters:
  `delta` - Delta.

#### addCleanupNanoTime

    public void addCleanupNanoTime(long delta)

Parameters:
  `delta` - Delta.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020